Bug 969025 - Various problems on acer w700
Various problems on acer w700
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-30 09:54 EDT by Vasya
Modified: 2014-01-16 12:40 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-16 12:40:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vasya 2013-05-30 09:54:56 EDT
Description of problem:
There are various problems with acer w700.

1. Brightness control is not working on fedora 18 
and is blocked on fedora 19.
Editing brightness with  /sys/class/backlight/intel_backlight/
and /sys/class/backlight/acpi_video0/  changes nothing.

2. various touchscreen problems on fedora 18,19.
2.1 On-screen keyboard can't be used after login. 
On lock-screen it works.
2.2 Also, there seems to be a layer problem.
You can't access the gnome shell upper panel it's only accessible (you can touch volume control, network icons) after win key is pressed. 
There is a way to "repair" this keyboard and "layer" issue  using the universal access simulate clicking by hovering.
2.3 In firefox your touch selects text not scrolls through the website. 

3. orientation Sensor is not working and the key which blocks orientation seems to do nothing.

4. The brightness sensor is not working too.

Version-Release number of selected component (if applicable):
Fedora 18, 19.
Comment 1 Michele Baldessari 2013-11-24 06:26:35 EST

it's practically impossible for us to tackle bugzillas with multiple issues
conflated in it. Please upgrade to a latest kernel, close this bugzilla and
open separate ones for each issue (one for brightness is being tracked
here https://bugzilla.redhat.com/show_bug.cgi?id=903136 and should be fixed
with the next kernel update). Also check http://fedoraproject.org/wiki/Common_kernel_problems

Comment 2 Michele Baldessari 2013-12-25 13:26:04 EST
Hi Vasya,

see my comment#1. Can you please upgrade to F20 and open a BZ for each single issue?

Comment 3 Vasya 2014-01-16 12:40:03 EST
Yes, I understand, when I will have time I'll test on F20. 
Additional info: 
in ubuntu 14.04 bug with touchscreen was fixed, but the bug with brightness is present (solution change to lightcontrol=vendor in grub), also, none of the distribs can rotate the touchscreen and recalculate coords.

Note You need to log in before you can comment on or make changes to this bug.